Xerces2 Implementation: Class XSCMLeaf

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.models
Class XSCMLeaf

    java.lang.Object
      |
      +--org.apache.xerces.impl.dtd.models.CMNode
            |
            +--org.apache.xerces.impl.xs.models.XSCMLeaf

Direct Known Subclasses:
  XSCMRepeatingLeaf

public class XSCMLeaf
extends CMNode

Content model leaf node.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: XSCMLeaf.java 572112 2007-09-02 19:11:51Z mrglavas $
Author:
  Neil Graham, IBM

Constructor Summary
`XSCMLeaf(int type, java.lang.Object leaf, int id, int position)` Constructs a content model leaf.

Method Summary
`protected void` | `calcFirstPos(CMStateSet toSet)`
`protected void` | `calcLastPos(CMStateSet toSet)`
`boolean` | `isNullable()`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.xerces.impl.dtd.models.CMNode
`firstPos, isCompactedForUPA, lastPos, setIsCompactUPAModel, setMaxStates, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XSCMLeaf

    public XSCMLeaf(int type,
                    java.lang.Object leaf,
                    int id,
                    int position)

  Constructs a content model leaf.

Method Detail

### isNullable

    public boolean isNullable()

  Overrides:
    `isNullable` in class `CMNode`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### calcFirstPos

    protected void calcFirstPos(CMStateSet toSet)

  Overrides:
    `calcFirstPos` in class `CMNode`

### calcLastPos

    protected void calcLastPos(CMStateSet toSet)

  Overrides:
    `calcLastPos` in class `CMNode`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.